Bug 849367 - [abrt] shotwell-0.12.3-1.fc17: Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
[abrt] shotwell-0.12.3-1.fc17: Process /usr/bin/shotwell was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:9ac1cfab99a2f0249559e656377...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 17:42 EDT by Stefan Friesel
Modified: 2013-08-01 00:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:17:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.44 KB, text/plain)
2012-08-18 17:42 EDT, Stefan Friesel
no flags Details
File: maps (64.88 KB, text/plain)
2012-08-18 17:42 EDT, Stefan Friesel
no flags Details
File: dso_list (13.76 KB, text/plain)
2012-08-18 17:42 EDT, Stefan Friesel
no flags Details
File: build_ids (5.00 KB, text/plain)
2012-08-18 17:42 EDT, Stefan Friesel
no flags Details

  None (edit)
Description Stefan Friesel 2012-08-18 17:42:34 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        shotwell
crash_function: editing_tools_photo_canvas_repaint
executable:     /usr/bin/shotwell
kernel:         3.5.0-2.fc17.x86_64
pid:            2170
pwd:            /home/sfriesel
remote_result:  807120
time:           Sa 18 Aug 2012 23:25:50 CEST
uid:            1000
username:       sfriesel

backtrace:      Text file, 57794 bytes
build_ids:      Text file, 5125 bytes
dso_list:       Text file, 14091 bytes
maps:           Text file, 66438 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sfriesel/2

core_backtrace:
:f8429f1909fce72071ee411de574b8b0f301b313 0x9f803 editing_tools_photo_canvas_repaint [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0xafd18 - [exe] -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf943 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0xbba28 - libgtk-3.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20003 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0xb9d43 - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x17afdf - libgtk-3.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf943 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x2a311e - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x178fa6 - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x17abb3 gtk_main_do_event libgtk-3.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x48e82 - libgdk-3.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x179f75 gtk_main libgtk-3.so.0 -
:f8429f1909fce72071ee411de574b8b0f301b313 0x28cd9c application_start [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x1867d8 library_exec [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x187860 _vala_main [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x748f1 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=edge
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=c2a030263c298bbdca02298b00000010-1345324648.888579-298483230
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/sfriesel/keyring-6bnrfb
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=sfriesel
:USERNAME=sfriesel
:MAIL=/var/spool/mail/sfriesel
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/sfriesel/.local/bin:/home/sfriesel/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/sfriesel
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1087
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/sfriesel
:SHLVL=1
:LOGNAME=sfriesel
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Xlj7AH34D7,guid=831c3f5b64559cabf6325c5200000038
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/sfriesel
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-sfriesel-VU6MHj/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1091,unix/unix:/tmp/.ICE-unix/1091
:SSH_AUTH_SOCK=/run/user/sfriesel/keyring-6bnrfb/ssh
:GPG_AGENT_INFO=/run/user/sfriesel/keyring-6bnrfb/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2170

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29861                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29861                29861                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/sfriesel/.xsession-errors
:pos:	1478
:flags:	0102002
:2:/home/sfriesel/.xsession-errors
:pos:	1478
:flags:	0102002
:3:socket:[66076]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[68772]
:pos:	0
:flags:	02004002
:6:/home/sfriesel/.cache/shotwell/shotwell.log
:pos:	1140
:flags:	0100001
:7:socket:[67367]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:/home/sfriesel/.shotwell/data/photo.db
:pos:	647168
:flags:	02100002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[68773]
:pos:	0
:flags:	02004002
:13:socket:[68774]
:pos:	0
:flags:	02004002
:14:pipe:[67397]
:pos:	0
:flags:	00
:15:pipe:[67397]
:pos:	0
:flags:	01
:16:anon_inode:[timerfd]
:pos:	0
:flags:	04002
:17:/home/sfriesel/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:18:anon_inode:inotify
:pos:	0
:flags:	02004000
:19:/home/sfriesel/.local/share/gvfs-metadata/home-6d4e7b71.log
:pos:	0
:flags:	0100000
:20:/home/sfriesel/Bilder/Andrea/DSCI0068.JPG
:pos:	65536
:flags:	0100000
:21:socket:[80246]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 18 23:25:50 edge kernel: [ 4149.483036] shotwell[2170]: segfault at 40 ip 000000000049f803 sp 00007fff7045f780 error 4 in shotwell[400000+3cc000]
:Aug 18 23:25:58 edge abrt[2330]: Saved core dump of pid 2170 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-08-18-23:25:50-2170 (538857472 bytes)
Comment 1 Stefan Friesel 2012-08-18 17:42:39 EDT
Created attachment 605398 [details]
File: backtrace
Comment 2 Stefan Friesel 2012-08-18 17:42:41 EDT
Created attachment 605399 [details]
File: maps
Comment 3 Stefan Friesel 2012-08-18 17:42:43 EDT
Created attachment 605400 [details]
File: dso_list
Comment 4 Stefan Friesel 2012-08-18 17:42:45 EDT
Created attachment 605401 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 20:30:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 00:17:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.